<?php
namespace wcf\system\event\listener;
use wcf\system\event\IEventListener;
use wcf\data\user\UserAction;

/**
 * Set terms of use as unaccepted, when adding a user via ACP.
 *
 * @author	Sascha Greuel <sascha@softcreatr.de>
 * @copyright	2013 Sascha Greuel
 * @license	Creative Commons Attribution-NoDerivatives <http://creativecommons.org/licenses/by-nd/4.0/legalcode>
 * @package	be.bastelstu.sascha.termsofuse
 * @subpackage	system.event.listener
 * @category	Community Framework
 */
class UserAddFormTermsOfUseListener implements IEventListener {
	/**
	 * @see	\wcf\system\event\IEventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {
		if (!MODULE_USER_TERMS_OF_USE) {
			return;
		}
		
		$returnValues = $eventObj->objectAction->getReturnValues();
		
		$action = new UserAction(array($returnValues['returnValues']), 'update', array(
			'data' => array(
				'disclaimerAccepted' => 0
			)
		));
		$action->executeAction();
	}
}
